### Method

# GLib IOChannel set_close_on_unref

#### Declaration [src]

    void
    g_io_channel_set_close_on_unref (
      GIOChannel* channel,
      gboolean do_close
    )

#### Description [src]

Whether to close the channel on the final unref of the `GIOChannel` data structure. The default value of this is `TRUE` for channels created by g_io_channel_new_file (), and `FALSE` for all other channels.

Setting this flag to `TRUE` for a channel you have already closed can cause problems when the final reference to the `GIOChannel` is dropped.

#### Parameters

`do_close`

  Type: `gboolean`

  Whether to close the channel on the final unref of the GIOChannel data structure.